@import 'vars';

.contentWrapper {
  position: relative;
  margin: auto;
  @media (min-width: 768px) {
    width: 900px;
    max-width: 60vw;
  }
}

.main {
  grid-column: main;
  span[class*='AlphaSection_additionalText'] {
    display: none;
  }
}

.financevoteLogo {
  display: block;
  margin: auto;
  margin-top: 80px;
  max-width: 100%;
  width: 203px;
  @media (min-width: 768px) {
    width: 450px;
  }
}

.description {
  font-weight: 500;
  font-size: 19px;
  line-height: 26px;
  text-align: center;
  letter-spacing: 0.02em;
  color: #ffffff;
  text-shadow: 0px 2px 25px rgba(255, 255, 255, 0.5);

  @include below(758px) {
    font-size: 15px;
    line-height: 18px;
    width: auto;
    margin-bottom: 5px;
    margin-top: 25px;
  }

  .title {
    margin-top: 26px;
    font-weight: 800;
    font-style: normal;
    font-weight: 800;
    font-size: 32px;

    line-height: 44px;
    text-align: center;
    letter-spacing: 0.02em;

    color: #00b1ff;
  }

  span {
    display: block;
    margin-top: 23px;
    font-style: normal;
    font-weight: 400;
    font-size: 21px;
    line-height: 29px;
    text-align: center;
    letter-spacing: 0.02em;
    color: #ffffff;
    text-shadow: 0px 2px 25px rgba(255, 255, 255, 0.5);
  }
}
.upperContainer {
  position: relative;
  width: auto;
  height: auto;
  margin: 75px 0 49px 0;
  .image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    z-index: 1;
  }
  .video {
    display: block;
    width: 830px;
    max-width: 100%;
    // margin-top: 62px;
    margin-top: 0;
    margin-bottom: 15px;
    @media (min-width: 768px) {
      margin: auto auto 112px;
    }
  }
  @media (min-width: 768px) {
    width: 481px;
    height: 481px;
  }
}
.lowerContainer {
  display: flex;
  position: relative;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  background: linear-gradient(114.49deg, #1f6fe5 0%, #3083ff 58.85%, #00dbc7 96.88%);
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  width: 100%;
  border-radius: 0px;
  padding: 10px;
  @media (min-width: 768px) {
    width: 650px;
    padding: 46px 85px 39px;
  }
}
//TODO: Check with designs
.inputData {
  background: linear-gradient(
    91.59deg,
    rgba(28, 201, 255, 0.21) 8.93%,
    rgba(28, 201, 255, 0.602) 64.12%,
    rgba(31, 111, 229, 0.14) 120.47%
  );
  border: 1px solid rgba(28, 201, 255, 0.5);
  box-sizing: border-box;
  width: 224px;
  height: 42px;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #fff;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: $c-white;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: #fff;
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 347.81px;
    padding: 0px 0 0px 28px;
  }
}

.withdrawals {
  display: none;
}
.buttonWrapper {
  margin-top: 38px;
  margin-bottom: 27px;
  width: 100%;
  position: relative;
}

.status {
  position: relative;
  font-family: Montserrat;
  font-style: normal;
  top: -22px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00b318;
  // left: 50%;
  // transform: translate(-50%);
  margin: 0;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -22px;
    left: 50%;
    transform: translate(-50%);
    white-space: nowrap;
  }
}

.button {
  font-family: MontSerrat;
  display: inline;
  // margin: 0 0 10px 0;
  width: 100%;
  height: 65px;
  border: none;
  background: #00f220;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 27px;
  text-align: center;
  letter-spacing: 0.11em;
  text-transform: uppercase;
  color: #052152;
  cursor: pointer;
  // margin-bottom: 27px;

  &:disabled {
    cursor: auto;
    background: #858383;
    color: white;
  }
  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
  }
  span {
    visibility: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    transform: translate(0, -25%);
    &::after {
      visibility: visible;
      content: 'MINT NOW';
    }
  }
}
.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 26px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.indicatorContainer {
  position: absolute;
  bottom: -55px;
  display: flex;
  justify-content: space-around;
  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-right: 28px;
    margin-left: 28px;
  }
  @media (min-width: 768px) {
    width: 29.85px;
    right: -78px;
    bottom: 70%;
    display: block;
    height: 29.85px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
      margin: 0 0 28px;
    }
  }

  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}
.valuesContainer {
  height: auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  background: linear-gradient(
    91.59deg,
    rgba(28, 201, 255, 0.21) 8.93%,
    rgba(28, 201, 255, 0.602) 64.12%,
    rgba(31, 111, 229, 0.14) 120.47%
  );
  border: 1px solid rgba(28, 201, 255, 0.5);
  padding: 17px 30px;
  flex-direction: column;

  @media (min-width: 600px) {
    padding: 17px 25px;
    flex-direction: row;
  }

  .singleValue {
    .value {
      display: flex;
      flex-direction: column;
      text-align: left;
      font-style: normal;
      font-weight: 600;
      font-size: 26px;
      letter-spacing: 0.02em;
      color: #ffffff;
      text-shadow: 0px 2px 50px #ffffff;

      @media (min-width: 600px) {
        text-align: right;
      }
    }

    .label {
      font-style: italic;
      font-weight: 400;
      font-size: 15px;
      line-height: 20px;
      letter-spacing: 0.02em;
      color: #ffffff;
      text-shadow: 0px 2px 50px #ffffff;
    }
  }
}

.fvtId {
  font-style: normal;
  font-weight: 800;
  font-size: 30px;
  line-height: 41px;
  letter-spacing: 0.02em;
  color: #ffffff;
  text-shadow: 0px 2px 50px #ffffff;
  margin-bottom: 15px;
}
.formRow {
  width: 100%;
}
.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 90%;
  margin-top: 0;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 100%;
    margin-top: 15px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: Montserrat;
  font-weight: 500;
  font-size: 10px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
}

.percentage {
  font-family: Montserrat;
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 14.63px;
  letter-spacing: 0.02em;
}
.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
  // background: white;
  // box-shadow: 10px 10px #1f6fe5;

  .row {
    padding-bottom: 30px;
    display: flex;
    flex-direction: column;
    .rowTitle {
      color: #1f6fe5;
      font-weight: bold;
      font-size: 20px;
      margin-bottom: 10px;
    }
    .rowValue {
      color: black;
      font-weight: 500;
      font-size: 22px;
    }
  }
  @media (min-width: 768px) {
    width: 55%;
    // padding: 0 0 3% 0;
    padding: 25px 56px 78px 58px;
  }
}
.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  margin: 41px auto;
  z-index: 0;

  @media (min-width: 768px) {
    margin: 87px 0 68px;
    width: 481px;
    height: 481px;
  }
}
.relativeWrapper {
  position: relative;
  width: 100%;
  height: fit-content;
}
.inputData {
  box-sizing: border-box;
  width: 100%;
  height: 65px;

  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 18px;
  // font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 30px;
  color: $c-white;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  @media (min-width: 768px) {
    font-size: 18px;
    padding: 0px 0 0px 28px;
  }
}
.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 40%;
  right: 30px;
  background-color: transparent;
  border: 0;
  img {
    height: 32px;
    width: 30px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 26px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.connect {
  button {
    font-family: Montserrat;
    width: 100%;
    height: 65px;
    border: none;
    background: #00f220;
    box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.11em;
    text-transform: uppercase;
    color: #052152;
    cursor: pointer;

    @media (min-width: 768px) {
      width: 480px;
    }

    &:disabled {
      cursor: auto;
      background: #858383;
      color: white;
    }
    &:hover {
      cursor: pointer;
      color: initial;
      border-color: initial;
    }
  }
}

.successTitle {
  color: white;
  margin-top: 31px;
  margin-bottom: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 900;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.successDescription {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  margin: 0;
  margin-top: 16px;
}

@media (min-width: 768px) {
  .successTitle {
    font-size: 25px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
    margin-top: 41px;
  }

  .successDescription {
    font-size: 16px;
    font-weight: 600;
    margin: 0;
    margin-top: 32px;
  }
}

.playNowContainer {
  margin-top: 30px;
  display: flex;
  justify-content: center;
}

.actionButton {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #00f220;;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
  }
}

.playNow {
  width: 650px !important;
  margin: 0 10px;
}